import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

import java.util.Random;
import java.awt.Color;

public class CrabWorld extends World
{
//    public static final Color pathColor = new Color(227, 202, 148);
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    Counter eaten = new Counter("Points: ");
    Counter lives = new Counter("Lives: ");
    Crab player = new Crab();
    int anzahlwrmer = 0;
    boolean wonGame = false;
    public CrabWorld() 
    {
        super(560, 560, 1);
        setBackground("spongitengigantiten.png");
        
        addObject(player, 100, 100);
        addObject(eaten, 50, 30);
        addObject(lives, 150, 30);
        addObject(new Lobster(), 250, 250);
        lives.setValue(3);
        do
        {
            addObject(new Worm(), Greenfoot.getRandomNumber(400) + Greenfoot.getRandomNumber(400), Greenfoot.getRandomNumber(300) + Greenfoot.getRandomNumber(300));
            anzahlwrmer = anzahlwrmer + 1;
        }
        while(anzahlwrmer <= Greenfoot.getRandomNumber(5) + 2);
        
    }
    public Counter geteaten()
    {
        return eaten;
    }
    public Counter getlives()
    {
        return lives;
    }
    public Crab getplayer()
    {
        return player;
    }
    public void act()
    {
        if (eaten.getValue() == 15 && wonGame == false)
        {
            Greenfoot.playSound("winner.mp3");
            System.out.println("Great SPONGITEN TETITEN! - You have eaten 15 worms, and have therefore WON the game and a free Spongiten!");
            Greenfoot.stop();
            wonGame = true;
        }
        if (anzahlwrmer == 0)
        {
            do
            {
                addObject(new Worm(), Greenfoot.getRandomNumber(400) + Greenfoot.getRandomNumber(400), Greenfoot.getRandomNumber(300) + Greenfoot.getRandomNumber(300));
                anzahlwrmer = anzahlwrmer + 1;
            }
            while(anzahlwrmer <= Greenfoot.getRandomNumber(5) + 2);
        }
    }
}