import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * This class defines a crab. Crabs live on the beach. They like sand worms 
 * (very yummy, especially the green ones).
 * 
 * Version: 1
 * 
 * In this version, the crab walks forward, which is sidewards, normally.
 */

public class Crab extends Animal
{
    static boolean step = true;
    
    /** 
     * Act - do whatever the crab wants to do. This method is called whenever
     *  the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        
        if(atWorldEdge()) turn(-5);
        if (Greenfoot.isKeyDown("up"))
        {
            move(5);
            switchImage();
        }
        if (Greenfoot.isKeyDown("down"))
        {
            move(-5);
            switchImage();
        }
        if (Greenfoot.isKeyDown("left"))
        {
            turn(-5);
        }
        if (Greenfoot.isKeyDown("right"))
        {
            turn(5);
        }
        lookForWorm();
        if(((CrabWorld)getWorld()).getlives().getValue() == 0)
        {
            getWorld().removeObject(this);
        }
    }
        public void switchImage()
    { if (step)
        { setImage("crab2.png");
            step = false;
        }
        else
        {
           setImage("crab.png");
           step = true;
           }

}
public void lookForWorm()
{
    Actor Worm = getOneObjectAtOffset(0, 0, Worm.class);
    if(Worm!=null) {
        getWorld().removeObject(Worm);
        ((CrabWorld)getWorld()).geteaten().add(1);
        ((CrabWorld)getWorld()).anzahlwrmer = ((CrabWorld)getWorld()).anzahlwrmer -1;
        Greenfoot.playSound ("short-slurp.wav");
    }
}
}          
             